Package org.apache.ignite.spi.systemview.view

## Class ComputeJobView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.ComputeJobView

-     public class ComputeJobView
      extends Object

  Compute job representation for a `SystemView`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ComputeJobView.ComputeJobState` | Compute job state.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComputeJobView​(IgniteUuid id, org.apache.ignite.internal.processors.job.GridJobWorker job, ComputeJobView.ComputeJobState state)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `affinityCacheIds()` |
    `int` | `affinityPartitionId()` |
    `long` | `createTime()` |
    `@Nullable String` | `executorName()` |
    `long` | `finishTime()` |
    `IgniteUuid` | `id()` |
    `boolean` | `isFinishing()` |
    `boolean` | `isInternal()` |
    `boolean` | `isStarted()` |
    `boolean` | `isTimedOut()` |
    `UUID` | `originNodeId()` |
    `IgniteUuid` | `sessionId()` | `sessionId()` value equal to the value of `ComputeTaskView.sessionId()` if both records represents parts of the same computation.
    `long` | `startTime()` |
    `ComputeJobView.ComputeJobState` | `state()` |
    `String` | `taskClassName()` |
    `String` | `taskName()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComputeJobView

          public ComputeJobView​(IgniteUuid id,
                                org.apache.ignite.internal.processors.job.GridJobWorker job,
                                ComputeJobView.ComputeJobState state)

      Parameters:
        `id` - Job id.
        `job` - Job.
        `state` - Job state.

  - ### Method Detail

    - #### id

          public IgniteUuid id()

      Returns:
        Job id.

    - #### sessionId

          public IgniteUuid sessionId()

      `sessionId()` value equal to the value of `ComputeTaskView.sessionId()` if both records represents parts of the same computation.
      Returns:
        Session id.
      See Also:
        `ComputeTaskView.sessionId()`

    - #### originNodeId

          public UUID originNodeId()

      Returns:
        Origin node id.

    - #### taskName

          public String taskName()

      Returns:
        Task name.

    - #### taskClassName

          public String taskClassName()

      Returns:
        Task class name.

    - #### affinityCacheIds

          public String affinityCacheIds()

      Returns:
        Comma separated list of cache identifiers or `null` for non affinity call.

    - #### affinityPartitionId

          public int affinityPartitionId()

      Returns:
        Affinity partition id or `-1` for non affinity call.

    - #### createTime

          public long createTime()

      Returns:
        Create time in milliseconds.

    - #### startTime

          public long startTime()

      Returns:
        Start time in milliseconds.

    - #### finishTime

          public long finishTime()

      Returns:
        Finish time in milliseconds.

    - #### isInternal

          public boolean isInternal()

      Returns:
        `True` if job is internal.

    - #### isFinishing

          public boolean isFinishing()

      Returns:
        `True` if job is finishing.

    - #### isTimedOut

          public boolean isTimedOut()

      Returns:
        `True` if job is timed out.

    - #### isStarted

          public boolean isStarted()

      Returns:
        `True` if job started.

    - #### executorName

          @Nullable
          public @Nullable String executorName()

      Returns:
        Executor name or `null` if not specified.

    - #### state

          public ComputeJobView.ComputeJobState state()

      Returns:
        Job state.